correct: correct geometries

## Functions

template<typename Geometry >
void | boost::geometry::correct (Geometry &geometry)
| Corrects a geometry.

## Function Documentation

template<typename Geometry >

void boost::geometry::correct | ( | Geometry & | geometry | ) |

Corrects a geometry.

Corrects a geometry: all rings which are wrongly oriented with respect to their expected orientation are reversed. To all rings which do not have a closing point and are typed as they should have one, the first point is appended. Also boxes can be corrected.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

Parameters:

  geometry | A model of the specified concept which will be corrected if necessary

Examples:
  03_polygon_example.cpp.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK